package com.jobs.consumer;

import com.jobs.consumer.config.LoadBalanceRule;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.ribbon.RibbonClient;

/*
在这里可以通过 @RibbonClient 和 @RibbonClients 两个注解，
针对不同的服务提供者，配置不同的客户端负载均衡策略。
本 Demo 只有一个 PROVIDER-APP 服务提供者，因此只配置了一个服务，配置为随机策略。
如果针对具体的服务提供者，不配置负载均衡策略的话，默认采用轮询策略。
*/
@RibbonClient(name = "PROVIDER-APP",configuration = LoadBalanceRule.class)
@SpringBootApplication
public class ConsumerApp {
    public static void main(String[] args) {
        SpringApplication.run(ConsumerApp.class,args);
    }
}
